/* Tracker GUI - A graphical front-end for Tracker
 *
 * Copyright (C) 2006, Jaime Frutos Morales (acidborg@gmail.com)    
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA. 
 */

#include <gtk/gtk.h>
#include <glade/glade.h>

int main(int argc,char *argv[])
{
    GladeXML        *glade;
    GtkWidget        *main_window;
    GtkWidget        *details_text_view;
    GtkWidget        *search_entry;
    GtkTextBuffer    *details_text_buffer;


    gtk_init(&argc,&argv);
    
    /*Glade stuff*/
    glade = glade_xml_new("tracker.glade",NULL,NULL);
    glade_xml_signal_autoconnect (glade);

    main_window = glade_xml_get_widget (glade,"main_window");

    search_entry = glade_xml_get_widget(glade,"search_entry");
    
    details_text_view = glade_xml_get_widget (glade,"details_text_view");
    details_text_buffer = gtk_text_buffer_new (NULL);
    gtk_text_view_set_buffer(GTK_TEXT_VIEW (details_text_view), details_text_buffer);
    

    /*Signals*/
    g_signal_connect(G_OBJECT (main_window),"destroy",G_CALLBACK (gtk_main_quit),NULL);

    /*Test*/
    gtk_text_buffer_set_text(details_text_buffer, "Hello world!", -1);
    
    
    gtk_widget_show_all (main_window);
    gtk_main();
    return 0;
}
